Skip to main content
POST
/
api
/
v2
/
onboarding
/
workspaces
/
{workspaceId}
/
claim
Claim onboarding
curl --request POST \
  --url https://sitegpt.ai/api/v2/onboarding/workspaces/{workspaceId}/claim \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "user@example.com",
  "plan": "GROWTH",
  "interval": "MONTH"
}
'
{
  "ok": true,
  "data": {
    "workspace": {
      "id": "workspace-id",
      "chatbotId": "chatbot-id",
      "sourceUrl": "https://example.com/",
      "normalizedDomain": "example.com",
      "status": "CREATED",
      "expiresAt": "2026-05-20T00:00:00.000Z",
      "claim": {
        "status": "CHECKOUT_PENDING",
        "email": "user@example.com",
        "plan": "GROWTH",
        "interval": "MONTH",
        "checkoutUrl": "https://sitegpt.ai/pricing?_ptxn=txn_xxxxxxxxx"
      }
    },
    "checkoutUrl": "https://sitegpt.ai/pricing?_ptxn=txn_xxxxxxxxx",
    "paddleTransactionId": "txn_xxxxxxxxx",
    "onboardingUrl": "https://sitegpt.ai/onboarding/preview/workspace-id",
    "statusUrl": "https://sitegpt.ai/api/v2/onboarding/workspaces/workspace-id",
    "claimUrl": "https://sitegpt.ai/api/v2/onboarding/workspaces/workspace-id/claim"
  },
  "meta": {
    "requestId": "request-id"
  }
}

Documentation Index

Fetch the complete documentation index at: https://sitegpt.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workspaceId
string
required

Body

application/json
email
string<email>
required

Customer email that should own the chatbot after checkout starts the trial.

Maximum string length: 254
plan
enum<string>
required

SiteGPT plan selected by the user.

Available options:
STARTER,
GROWTH,
SCALE
interval
enum<string>
required

Billing interval selected by the user.

Available options:
MONTH,
YEAR

Response

Successful SiteGPT API v2 response.

ok
boolean
required
data
object
required
meta
object
required